{ pkgs, systemSettings, userSettings, ... }:
{
# let
  devPackages = with pkgs; [
    bash
    git
    docker
    docker-compose_1
    python3
    python312Packages.virtualenv
    nodejs
    tmux
    neovim
    openssh
    zsh
    starship
    fortune
    cowsay
    sl
    curl
    wget
    htop
    bottom
    nettools
    iproute2
    nmap
    tcpdump
    lsof
    strace
    jq
    shellcheck
    nodePackages.prettier
    nodePackages.eslint
    black
    python312Packages.flake8
    pylint
    yamllint
    markdownlint-cli
    # Add other necessary linters/formatters
  ];

  # nvimConfig = ''
  #   # call plug#begin('~/.vim/plugged')
  #   # Plug 'junegunn/fzf', { 'do': { -> fzf#install() } }
  #   Plug 'preservim/nerdtree'
  #   Plug 'tpope/vim-fugitive'
  #   Plug 'dense-analysis/ale'
  #   Plug 'scrooloose/syntastic'
  #   Plug 'vim-airline/vim-airline'
  #   Plug 'airblade/vim-gitgutter'
  #   # Plug 'neoclide/coc.nvim', {'branch': 'release'}
  #   # call plug#end()

  #   " Set up ALE linters/formatters
  #   let g:ale_linters = {
  #     \ 'python': ['flake8', 'pylint'],
  #     \ 'javascript': ['eslint'],
  #     \ 'yaml': ['yamllint'],
  #     \ 'markdown': ['markdownlint'],
  #     \ }

  #   let g:ale_fixers = {
  #     \ 'python': ['black', 'isort'],
  #     \ 'javascript': ['prettier'],
  #     \ 'yaml': ['prettier'],
  #     \ 'markdown': ['prettier'],
  #     \ }
  # '';

  # devEnv = pkgs.mkShell {
  #   name = "space-x-devshell";

  #   buildInputs = devPackages;

  #   shellHook = ''
  #     export PROJECT_NAME="Space-X DevOps"
  #     export SYSTEM_HOSTNAME="${systemSettings.hostname}"
  #     export USER_NAME="${userSettings.username}"

  #     # Configure starship prompt for bash and fish
  #     eval "$(starship init bash)"
  #     if [ -n "$FISH_VERSION" ]; then
  #       starship init fish | source
  #     fi

  #     # Set up neovim configuration
  #     mkdir -p ~/.config/nvim
  #     # echo "${nvimConfig}" > ~/.config/nvim/init.vim

  #     # Any other environment variables or shell configurations
  #   '';
  # };
# in
#   devEnv
}
